<?php

namespace FiloBlu\WebshopappCarrier\Observer;

use Magento\Framework\Event\Observer as EventObserver;
use Magento\Framework\Event\ObserverInterface;


/**
 * Tracker observer to replace the email template
 */
class ReplaceEmailTemplate implements ObserverInterface
{
    protected $_trackerDataHelper;


    public function __construct(
        \FiloBlu\WebshopappCarrier\Helper\Data $shipperDataHelper
    )
    {
        $this->_trackerDataHelper = $shipperDataHelper;
    }
    /**
     * Record order shipping information after order is placed
     *
     * @param EventObserver $observer
     * @return void
     */
    public function execute(EventObserver $observer)
    {
        if ($this->_trackerDataHelper->getConfigValue('carriers/tracker1/active')) {

            $blockentity = $observer->getBlock();
            if ($blockentity->getTemplate() == 'Magento_Sales::email/shipment/track.phtml' ||
                $blockentity->getTemplate() == "FiloBlu_ShipmentEmailTrack::email/shipment/track.phtml" ) {
                $blockentity->setTemplate('FiloBlu_WebshopappCarrier::email/shipment/track.phtml');
            }
        }
    }

}

